POST
Restarts web apps in a specified App Service Plan
https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/serverfarms/{name}/restartSitesAccess Token Required: API Key
Path Parameters
resourceGroupNamestringrequired
Name of resource group
namestringrequired
Name of App Service Plan
Query Params
softRestartstring
Soft restart applies the configuration settings and restarts the apps if necessary. Hard restart always restarts and reprovisions the apps
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/serverfarms/{name}/restartSites' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}